.iframe-overlay {
    background-color: #222;
    border: 1px solid #333;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.5);
}

.iframe-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #333;
    color: #fff;
    padding: 8px 16px;
}

.iframe-controls button {
    background: none;
    border: none;
    color: white;
    font-size: 16px;
    cursor: pointer;
}

.game-iframe {
    width: 100%;
    height: calc(100% - 40px); /* Subtrai o tamanho do cabeçalho */
    border: none;
}

.maximized .game-iframe {
    height: 100vh;
}
